


<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    <title>Coverage for /private/tmp/im/impacket/impacket/examples/ntlmrelayx/servers/socksplugins/__init__.py: 89%</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">

<div id="header">
    <div class="content">
        <h1>Coverage for <b>/private/tmp/im/impacket/impacket/examples/ntlmrelayx/servers/socksplugins/__init__.py</b> :
            <span class="pc_cov">89%</span>
        </h1>

        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />

        <h2 class="stats">
            15 statements &nbsp;
            <span class="run hide_run shortkey_r button_toggle_run">13 run</span>
            <span class="mis shortkey_m button_toggle_mis">2 missing</span>
            <span class="exc shortkey_x button_toggle_exc">0 excluded</span>

            
                <span class="par run hide_run shortkey_p button_toggle_par">0 partial</span>
            
        </h2>
    </div>
</div>

<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>

<div id="source">
    <table>
        <tr>
            <td class="linenos">
<p id="n1" class="stm run hide_run"><a href="#n1">1</a></p>
<p id="n2" class="stm run hide_run"><a href="#n2">2</a></p>
<p id="n3" class="stm run hide_run"><a href="#n3">3</a></p>
<p id="n4" class="pln"><a href="#n4">4</a></p>
<p id="n5" class="stm run hide_run"><a href="#n5">5</a></p>
<p id="n6" class="pln"><a href="#n6">6</a></p>
<p id="n7" class="stm run hide_run"><a href="#n7">7</a></p>
<p id="n8" class="stm run hide_run"><a href="#n8">8</a></p>
<p id="n9" class="stm run hide_run"><a href="#n9">9</a></p>
<p id="n10" class="pln"><a href="#n10">10</a></p>
<p id="n11" class="pln"><a href="#n11">11</a></p>
<p id="n12" class="pln"><a href="#n12">12</a></p>
<p id="n13" class="stm run hide_run"><a href="#n13">13</a></p>
<p id="n14" class="stm run hide_run"><a href="#n14">14</a></p>
<p id="n15" class="stm mis"><a href="#n15">15</a></p>
<p id="n16" class="stm mis"><a href="#n16">16</a></p>
<p id="n17" class="stm run hide_run"><a href="#n17">17</a></p>
<p id="n18" class="stm run hide_run"><a href="#n18">18</a></p>
<p id="n19" class="stm run hide_run"><a href="#n19">19</a></p>
<p id="n20" class="stm run hide_run"><a href="#n20">20</a></p>

            </td>
            <td class="text">
<p id="t1" class="stm run hide_run"><span class="key">import</span> <span class="nam">os</span><span class="strut">&nbsp;</span></p>
<p id="t2" class="stm run hide_run"><span class="key">import</span> <span class="nam">sys</span><span class="strut">&nbsp;</span></p>
<p id="t3" class="stm run hide_run"><span class="key">import</span> <span class="nam">pkg_resources</span><span class="strut">&nbsp;</span></p>
<p id="t4" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t5" class="stm run hide_run"><span class="nam">SOCKS_RELAYS</span> <span class="op">=</span> <span class="nam">set</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t6" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t7" class="stm run hide_run"><span class="key">for</span> <span class="nam">file</span> <span class="key">in</span> <span class="nam">pkg_resources</span><span class="op">.</span><span class="nam">resource_listdir</span><span class="op">(</span><span class="str">'impacket.examples.ntlmrelayx.servers'</span><span class="op">,</span> <span class="str">'socksplugins'</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t8" class="stm run hide_run">    <span class="key">if</span> <span class="nam">file</span><span class="op">.</span><span class="nam">find</span><span class="op">(</span><span class="str">'__'</span><span class="op">)</span> <span class="op">>=</span> <span class="num">0</span> <span class="key">or</span> <span class="nam">file</span><span class="op">.</span><span class="nam">endswith</span><span class="op">(</span><span class="str">'.py'</span><span class="op">)</span> <span class="key">is</span> <span class="key">False</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t9" class="stm run hide_run">        <span class="key">continue</span><span class="strut">&nbsp;</span></p>
<p id="t10" class="pln">    <span class="com"># This seems to be None in some case (py3 only)</span><span class="strut">&nbsp;</span></p>
<p id="t11" class="pln">    <span class="com"># __spec__ is py3 only though, but I haven't seen this being None on py2</span><span class="strut">&nbsp;</span></p>
<p id="t12" class="pln">    <span class="com"># so it should cover all cases.</span><span class="strut">&nbsp;</span></p>
<p id="t13" class="stm run hide_run">    <span class="key">try</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t14" class="stm run hide_run">        <span class="nam">package</span> <span class="op">=</span> <span class="nam">__spec__</span><span class="op">.</span><span class="nam">name</span>  <span class="com"># Python 3</span><span class="strut">&nbsp;</span></p>
<p id="t15" class="stm mis">    <span class="key">except</span> <span class="nam">NameError</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t16" class="stm mis">        <span class="nam">package</span> <span class="op">=</span> <span class="nam">__package__</span>    <span class="com"># Python 2</span><span class="strut">&nbsp;</span></p>
<p id="t17" class="stm run hide_run">    <span class="nam">__import__</span><span class="op">(</span><span class="nam">package</span> <span class="op">+</span> <span class="str">'.'</span> <span class="op">+</span> <span class="nam">os</span><span class="op">.</span><span class="nam">path</span><span class="op">.</span><span class="nam">splitext</span><span class="op">(</span><span class="nam">file</span><span class="op">)</span><span class="op">[</span><span class="num">0</span><span class="op">]</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t18" class="stm run hide_run">    <span class="nam">module</span> <span class="op">=</span> <span class="nam">sys</span><span class="op">.</span><span class="nam">modules</span><span class="op">[</span><span class="nam">package</span> <span class="op">+</span> <span class="str">'.'</span> <span class="op">+</span> <span class="nam">os</span><span class="op">.</span><span class="nam">path</span><span class="op">.</span><span class="nam">splitext</span><span class="op">(</span><span class="nam">file</span><span class="op">)</span><span class="op">[</span><span class="num">0</span><span class="op">]</span><span class="op">]</span><span class="strut">&nbsp;</span></p>
<p id="t19" class="stm run hide_run">    <span class="nam">pluginClass</span> <span class="op">=</span> <span class="nam">getattr</span><span class="op">(</span><span class="nam">module</span><span class="op">,</span> <span class="nam">getattr</span><span class="op">(</span><span class="nam">module</span><span class="op">,</span> <span class="str">'PLUGIN_CLASS'</span><span class="op">)</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t20" class="stm run hide_run">    <span class="nam">SOCKS_RELAYS</span><span class="op">.</span><span class="nam">add</span><span class="op">(</span><span class="nam">pluginClass</span><span class="op">)</span><span class="strut">&nbsp;</span></p>

            </td>
        </tr>
    </table>
</div>

<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v4.5.4</a>,
            created at 2019-09-25 12:47
        </p>
    </div>
</div>

</body>
</html>
